Package csb :: Package bio :: Package io :: Module hhpred :: Class HHOutputParser

[frames] | no frames]

# Class HHOutputParser

source code

    object --+
             |
            HHOutputParser

Parser for HHsearch result (*.hhr) files.

Instance Methods

__init__(self, alignments=True) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) repr(x) | source code

HHpredHitList

parse_file(self, hhr_file, header_only=False) Parse all hits from this HHpred result file. | source code

HHpredHitList

parse_string(self, output, header_only=False) Get all hits from an `output` string. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
bool | alignments True if hit alignments will be parsed
Inherited from `object`: `__class__`

Method Details

### __init__(self, alignments=True)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `alignments` (bool) - if set to False, the parser will skip the alignments section of the file
Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### parse_file(self, hhr_file, header_only=False)

source code

Parse all hits from this HHpred result file.

Parameters:
  - `hhr_file` (str) - input HHR file name
Returns: HHpredHitList
  parsed hits
Raises:
  - `HHOutputFormatError` - if the hhr file is corrupt

### parse_string(self, output, header_only=False)

source code

Get all hits from an `output` string.

Parameters:
  - `output` (str) - HHpred standard output
Returns: HHpredHitList
  parsed hits
Raises:
  - `HHOutputFormatError` - if the output is corrupt

Property Details

### alignments

True if hit alignments will be parsed

Get Method:
  unreachable.alignments(self) - True if hit alignments will be parsed
Set Method:
  unreachable.alignments(self, value)
Type:
  bool